%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

Name:           perl-Sub-Uplevel
Version:        0.09
Release:        0.fdr.1.2
Epoch:          0
Summary:        Apparently run a function in a higher stack frame

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Sub-Uplevel/
Source0:   http://www.cpan.org/authors/id/M/MS/MSCHWERN/Sub-Uplevel-0.09.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Like Tcl's uplevel() function, but not quite so dangerous.  The
idea is just to fool caller().  All the really naughty bits of
Tcl's uplevel() are avoided.


%prep
%setup -q -n Sub-Uplevel-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/Sub/
%{_mandir}/man3/*.3*


%changelog
* Thu Jul  8 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.09-0.fdr.1
- Update to 0.09 (with license info).

* Sun Jul  4 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.08-0.fdr.1
- First build.
